SDL_LockTexture(3)

NAME
SDL_LockTexture - Lock a portion of the texture for write-only pixel access.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_LockTexture(SDL_Texture *texture,
                    const SDL_Rect *rect,
                    void **pixels, int *pitch);

DESCRIPTION
As an optimization, the pixels made available for editing don't necessarily contain the old texture data. This is a write-only operation, and if you need to keep a copy of the texture data you should do that at the application level. You must use SDL_UnlockTexture () to unlock the pixels and apply any changes.

FUNCTION PARAMETERS

texture
    the texture to lock for access, which was created with SDL_TEXTUREACCESS_STREAMING

rect
    an SDL_Rect
     structure representing the area to lock for access; NULL to lock the entire texture

pixels
    this is filled in with a pointer to the locked pixels, appropriately offset by the locked area

pitch
    this is filled in with the pitch of the locked pixels; the pitch is the length of one row in bytes

RETURN VALUE
Returns 0 on success or a negative error code if the texture is not valid or was not created with SDL_TEXTUREACCESS_STREAMING ; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_LockTextureToSurface(3), SDL_UnlockTexture(3)